Package org.eclipse.osgi.container

# Class ModuleWire

java.lang.Object
org.eclipse.osgi.container.ModuleWire

All Implemented Interfaces:
  `BundleWire`, `Wire`

public final class ModuleWire extends Object implements BundleWire
An implementation of `BundleWire`.

Since:
  3.10

## Method Summary

Modifier and Type
Method
Description
`ModuleCapability`
`getCapability()`
`ModuleRevision`
`getProvider()`
`ModuleWiring`
`getProviderWiring()`
`ModuleRequirement`
`getRequirement()`
`ModuleRevision`
`getRequirer()`
`ModuleWiring`
`getRequirerWiring()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.osgi.resource.Wire

`equals, hashCode`

## Method Details

### getCapability

public ModuleCapability getCapability()

Specified by:
  `getCapability` in interface `BundleWire`
Specified by:
  `getCapability` in interface `Wire`

### getRequirement

public ModuleRequirement getRequirement()

Specified by:
  `getRequirement` in interface `BundleWire`
Specified by:
  `getRequirement` in interface `Wire`

### getProviderWiring

public ModuleWiring getProviderWiring()

Specified by:
  `getProviderWiring` in interface `BundleWire`

### getRequirerWiring

public ModuleWiring getRequirerWiring()

Specified by:
  `getRequirerWiring` in interface `BundleWire`

### getProvider

public ModuleRevision getProvider()

Specified by:
  `getProvider` in interface `BundleWire`
Specified by:
  `getProvider` in interface `Wire`

### getRequirer

public ModuleRevision getRequirer()

Specified by:
  `getRequirer` in interface `BundleWire`
Specified by:
  `getRequirer` in interface `Wire`

### toString

public String toString()

Overrides:
  `toString` in class `Object`